# Generated from bookshelf-1.2.4.gem by gem2rpm -*- rpm-spec -*-
%global gem_name bookshelf

Name: rubygem-%{gem_name}
Version: 1.2.4
Release: 1%{?dist}
Summary: A framework that generates PDF and e-Pub from Markdown, and HTML files
License: MIT
URL: https://bitbucket.org/bradcrawford/bookshelf
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.9
# BuildRequires: rubygem(rspec)
# BuildRequires: rubygem(test_notifier)
# BuildRequires: rubygem(pry)
# BuildRequires: rubygem(pry-nav)
# BuildRequires: rubygem(awesome_print)
BuildArch: noarch

%description
A framework that generates PDF and e-Pub from Markdown, and HTML files.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/bookshelf
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.gitmodules
%{gem_instdir}/bin
%{gem_libdir}
%{gem_instdir}/templates
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/bookshelf.gemspec

%changelog
* Mon Apr 18 2022 mockbuilder - 1.2.4-1
- Initial package
